package ink.wgink.properties.sms;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: SmsDefaultTemplateProperties
 * @Description: 默认短信模板属性
 * @Author: WangGeng
 * @Date: 2020/3/10 1:00 下午
 * @Version: 1.0
 **/
public class SmsDefaultTemplateProperties {

    private String verificationCode;

    public String getVerificationCode() {
        return verificationCode == null || verificationCode.isEmpty() ? "{sign} 您的验证码为 {content}, 有效时间为120秒，若非本人操作，请忽略。" : verificationCode.trim();
    }

    public void setVerificationCode(String verificationCode) {
        this.verificationCode = verificationCode;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"verificationCode\":")
                .append("\"").append(verificationCode).append("\"");
        sb.append('}');
        return sb.toString();
    }
}
